org.h2.server.web

## Class ConnectionInfo

- java.lang.Object
- - org.h2.server.web.ConnectionInfo

All Implemented Interfaces:
  java.lang.Comparable<ConnectionInfo>

    public class ConnectionInfo
    extends java.lang.Object
    implements java.lang.Comparable<ConnectionInfo>

The connection info object is a wrapper for database connection information such as the database URL, user name and password. This class is used by the H2 Console.

### Field Summary

Fields
`java.lang.String` `driver` The driver class name.
`java.lang.String` `url` The database URL.
`java.lang.String` `user` The user name.

### Constructor Summary

Constructors
Constructor and Description
`ConnectionInfo(java.lang.String data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(ConnectionInfo o)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### driver

    public java.lang.String driver

The driver class name.

#### url

    public java.lang.String url

The database URL.

#### user

    public java.lang.String user

The user name.

### Constructor Detail

#### ConnectionInfo

    public ConnectionInfo(java.lang.String data)

### Method Detail

#### compareTo

    public int compareTo(ConnectionInfo o)

Specified by:
  `compareTo` in interface `java.lang.Comparable<ConnectionInfo>`